## Clean Up WordPress Plugins

Automatically clean up WordPress plugins from promotional banners, donation links, newsletter and unnecessary messages.

### Description
This is a simple plugin which once activated removes (hides) promotional banners, donation buttons, newsletter forms, and unnecessary messages from popular WordPress plugins in the admin area. It adds a custom style file in order to hide elements which are identified as unnecessary.

### List of Supported Plugins
Currently the following plugins are cleaned up:

* All in One SEO Pack
* Category Order and Taxonomy Terms Order and Post Type Orders
* Custom Post Type UI
* Google Analytics by MonsterInsights
* Google XML Sitemaps
* MailChimp for WordPress
* Meta Slider
* Ninja Forms
* Popups - WordPress Popup
* Responsive Lightbox by dFactory
* User Role Editor
* WordPress Popular Posts
* WP User Avatar
* WP Subscribe
* Yoast SEO
* WP Smush

#### Submit a Plugin for Clean Up
If a plugin contains many banners and promotional links, you can submit it [here](https://github.com/dolatabadi/cleanup-wp-plugins/issues) for consideration. Once your request is accepted, the plugin will be added in future releases.

#### Please Consider Supporting Developers
The purpose of this plugin is to make option pages look simpler by allowing users to remove/hide promotional banners and unnecessary messages. Please consider supporting your favorite plugins by donating or purchasing the pro versions.

This plugin does not discourage users from supporting these plugins, in fact, if you like a plugin it is highly recommended that you leave a review, or donate to support the development of those plugins.

#### Translations
To translate the plugin to a particular language, use the file provided in `/languages/` folder.

### Installation

##### From your WordPress dashboard
1. Visit `Plugins > Add New`
2. Search for `Clean Up WordPress Plugins`
3. Activate Clean Up WordPress Plugins from your Plugins page.
4. The plugin automatically hides unnecessary elements
5. Go to `Settings > Clean Up WP Plugins` for more details

##### From WordPress.org
1. Download and upload the `cleanup-wp-plugins` directory to /wp-content/plugins/ directory
2. Activate the plugin through the `Plugins` menu in WordPress
3. The plugin automatically hides unnecessary elements
4. Go to `Settings > Clean Up WP Plugins` for more details

#### Frequently Asked Questions

* Where can I submit a request for a plugin to be cleaned up? *
You can use this [link](https://github.com/dolatabadi/cleanup-wp-plugins/issues) to submit your plugins which contains advertisement and banners.

* Can I submit any plugins? *
No, the plugin must be published in WordPress Plugins Directory, so no third party or pro version plugins.

* I found a bug or issue, where do I report it? *
You can use the plugin's forum or issue section of Github to file a bug or to report an issue in case the plugin is hiding necessary elements.

#### Changelog
##### 1.0.3 - Aug 12, 2017
* Added MailChimp for WordPress
* Added Popups - WordPress Popup
* Added Responsive Lightbox by dFactory
* Modified Yoast SEO

##### 1.0.2 - Dec 1, 2016
* Added WP Smush

##### 1.0.1 - Aug 7, 2016
* Fixed the issue where the right sidebar is missing when publishing posts

##### 1.0.0 - Aug 5, 2016
* Initial release.
